SDL_SaveBMP(3)

NAME
SDL_SaveBMP - Save a surface to a file in BMP format.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_SaveBMP(SDL_Surface *surface, const char *file);

DESCRIPTION
Surfaces with a 24-bit, 32-bit and paletted 8-bit format get saved in the BMP directly. Other RGB formats with 8-bit or higher get converted to a 24-bit surface or, if they have an alpha mask or a colorkey, to a 32-bit surface before they are saved. YUV and paletted 1-bit and 4-bit formats are not supported.

FUNCTION PARAMETERS

surface
    the SDL_Surface structure containing the image to be saved.

file
    a file to save to.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function can be called on different threads with different surfaces.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_LoadBMP(3), SDL_SaveBMP_IO(3)